MetricSetControllerSwitchTotalsCalculationRules Method

POST /MetricSet/SwitchTotalsCalculationRules/ Switches the calculation axis for any defined totals calculation rule for the specified measure.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("SwitchTotalsCalculationRules")]
public HttpResponseMessage SwitchTotalsCalculationRules(
	Guid id,
	[FromBodyAttribute] string measureUniqueName,
	Nullable<Guid> sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the metric set to update.
measureUniqueName
Type: SystemString
The unique name of measure .
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: HttpResponseMessage
A MetricSetData object, or a status code indicating the problem.
See Also